> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a user’s name in this workspace

> Requires an all-project admin. Replaces both name fields for the specified user, including users who have not signed in yet. Does not change email, role, or project access.



## OpenAPI

````yaml /openapi/customer-api.json patch /users/{id}/name
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Audit
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Events
  - name: Files
  - name: Import
  - name: Notifications
  - name: Persistent agents
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Review policy
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /users/{id}/name:
    patch:
      tags:
        - Users
      summary: Update a user’s name in this workspace
      description: >-
        Requires an all-project admin. Replaces both name fields for the
        specified user, including users who have not signed in yet. Does not
        change email, role, or project access.
      operationId: UsersController_updateName
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserNameDto'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserDto'
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    UpdateUserNameDto:
      properties:
        family_name:
          description: Use an empty string for a user without a family name.
          example: Lovelace
          maxLength: 255
          type: string
        given_name:
          example: Ada
          maxLength: 255
          type: string
      required:
        - given_name
        - family_name
      type: object
    UserDto:
      properties:
        cognito_id:
          type: string
        email:
          type: string
        family_name:
          type: string
        given_name:
          type: string
        has_profile_picture:
          type: boolean
        id:
          type: string
        is_bot:
          type: boolean
        role:
          allOf:
            - $ref: '#/components/schemas/Role'
      required:
        - id
        - email
        - given_name
        - family_name
      type: object
    Role:
      enum:
        - admin
        - editor
        - read_only
        - external
      type: string
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.